Skip to main content
GET
/
api
/
v2
/
tasks
Fetch all tasks
curl --request GET \
  --url https://api.vida.dev/api/v2/tasks
{
  "success": true,
  "total": 123,
  "tasks": [
    {
      "id": "task1",
      "type": "call",
      "state": "pending",
      "target": "+15551234567",
      "createdAt": 1712345678
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vida.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer

Max number of tasks to return

offset
integer

Offset for pagination

since
integer

Filter by updatedAt >= since (unix seconds)

until
integer

Filter by updatedAt <= until (unix seconds)

sort
string

Sort field (createdAt, updatedAt, scheduledFor)

order
string

Sort order (asc or desc)

Response

List of tasks

success
boolean
Example:

true

total
number
Example:

123

tasks
object[]